SBP(4)

NAME
sbp - Serial Bus Protocol 2 (SBP-2) Mass Storage Devices driver

SYNOPSIS
kldload firewire
kldload cam
kldload sbp

or

device sbp
device firewire
device scbus
device da
device cd
device pass

DESCRIPTION
The sbp driver provides support for SBP-2 devices that attach to the FireWire (IEEE 1394) port. It should work with SBP-2 devices which the CAM layer supports, for example, HDDs, CDROM drives and DVD drives.

Some users familiar with umass(4) might wonder why the device is not detached at the CAM layer when the device is unplugged. It is detached only if the device has not been plugged again during several bus resets. This is for preventing to detach an active file system even when the device cannot be probed correctly for some reason after a bus reset or when the device is temporary disconnected because the user changes the bus topology. If you want to force to detach the device, run “fwcontrol -r” several times or set hw.firewire.hold_count=0 by sysctl(8).

Some (broken) HDDs do not work well with tagged queuing. If you have problems with such drives, try “camcontrol [device id] tags -N 1” to disable tagged queuing.

SEE ALSO
cam(4), firewire(4), camcontrol(8), fwcontrol(8), kldload(8), sysctl(8)

AUTHORS
-nosplit The sbp driver was written by Katsushi Kobayashi and Hidetoshi Shimokawa.

This manual page was written by Katsushi Kobayashi.